Bug 835068 - katello-configure still ignores --org-name option in some cases
katello-configure still ignores --org-name option in some cases
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Adam Price
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 08:35 EDT by Jakub Dorňák
Modified: 2017-06-26 16:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:37:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2012-06-25 08:35:47 EDT
Description of problem:
katello-configure still ignores --org-name option if it's value conatins space and it is used together with --user-name and --user-pass

Version-Release number of selected component (if applicable):
SAM 1.1

How reproducible:
always

Steps to Reproduce:
1. install compose
2. install katello-headpin-all
3. configure katello using command:
# katello-configure --deployment=sam --org-name='Red Hat' \
 --user-name=root --user-pass=toor
  
Actual results:
katello-configure creates organization ACME_Corporation.

Expected results:
katello-configure is expected to create organization 'Red Hat'.

Additional info:
This bug continues, where the previous (https://bugzilla.redhat.com/show_bug.cgi?id=795869) stopped.
I know, that the description sounds obscure, but it already happend before, that one option worked different way depending on value or presence of another option (see https://bugzilla.redhat.com/show_bug.cgi?id=789344). Now it seems that --org-name works depending on presence of --user-name and --user-pass. (Do You see any other difference?)

Please let someone review the code and solve this seriously.

[root@ibm-hs21-11 ~]# rpm -qa | grep katello
katello-selinux-0.2.4-1.el6_2.noarch
katello-cli-common-0.3.5-2.el6_2.noarch
katello-common-0.3.3-1.el6_2.noarch
katello-configure-0.3.7-1.el6_2.noarch
katello-headpin-0.2.13-1.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-glue-candlepin-0.3.3-1.el6_2.noarch
katello-headpin-all-0.2.13-1.el6_2.noarch
[root@ibm-hs21-11 ~]# 

[root@ibm-hs21-11 ~]# katello-configure --deployment=sam --org-name='Red Hat' --user-name=root --user-pass=toor
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20120615-122432/main.log]
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK
Creating Candlepin database user
############################################################ ... OK
Candlepin setup
############################################################ ... OK
Populating Katello database schema
############################################################ ... OK
Initializing Katello data
############################################################ ... OK
[root@ibm-hs21-11 ~]# 

[root@ibm-hs21-11 ~]# headpin -u root -p toor org list
--------------------------------------------------------------------------------
                              Organization List

 Id   Name               Description                    
--------------------------------------------------------------------------------
 1    ACME_Corporation   ACME_Corporation Organization  
[root@ibm-hs21-11 ~]#
Comment 1 Adam Price 2012-07-31 11:57:09 EDT
I tried this about 6 different times. Everything worked successfully except for 'Red Hat'

These org names all worked correctly:
'Adam Price'
'ADAM PRICE'
'adam price'
'RED HAT'
'Willy Wonka'
Comment 2 Adam Price 2012-07-31 17:27:27 EDT
this appears to be fixed.

[root@box ~]# yum install compose katello-all thumbslug -y
    ....
[root@box ~]# katello-configure --deployment=headpin --org-name='Red Hat' -b
    ....
[root@box ~]# katello -u admin -p admin org list
--------------------------------------------------------------------------------
                              Organization List

 Id   Name      Description           
--------------------------------------------------------------------------------
 1    Red Hat   Red Hat Organization  



[root@box ~]# rpm -qa | grep "katello\|thumbslug\|compose"
katello-certs-tools-1.1.7-1.el6.noarch
katello-glue-foreman-1.0.2-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-repos-1.0.3-1.el6.noarch
katello-cli-1.0.1-1.el6.noarch
katello-glue-pulp-1.0.2-1.el6.noarch
katello-configure-1.0.1-1.el6.noarch
katello-all-1.0.2-1.el6.noarch
katello-cli-common-1.0.1-1.el6.noarch
katello-glue-candlepin-1.0.2-1.el6.noarch
katello-selinux-1.0.1-1.el6.noarch
thumbslug-0.0.25-1.el6.noarch
katello-common-1.0.2-1.el6.noarch
katello-1.0.2-1.el6.noarch
Comment 3 Tazim Kolhar 2012-08-01 04:24:44 EDT
VERIFIED with the build :

[root@dell-pe1800-01 ~]# rpm -qa | grep katello
katello-common-1.0.2-1.fc16.noarch
katello-certs-tools-1.1.7-1.fc16.noarch
katello-1.0.2-1.fc16.noarch
katello-cli-1.0.1-1.fc16.noarch
katello-glue-foreman-1.0.2-1.fc16.noarch
katello-selinux-1.0.1-1.fc16.noarch
katello-all-1.0.2-1.fc16.noarch
katello-glue-candlepin-1.0.2-1.fc16.noarch
katello-cli-common-1.0.1-1.fc16.noarch
katello-configure-1.0.1-1.fc16.noarch
katello-glue-pulp-1.0.2-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch



[root@dell-pe1800-01 ~]# katello -u admin -p admin org list
--------------------------------------------------------------------------------
                              Organization List

 Id   Name      Description           
--------------------------------------------------------------------------------
 1    Red Hat   Red Hat Organization
Comment 6 Bryan Kearney 2017-06-26 16:37:27 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.